---
- set_fact:
    helm_service_name: 'ex-book-admin-api-go'
    helm_image_tag: { k3s: 'latest', test: '{{ helm_image_tag_test }}', prod: '{{ helm_image_tag_prod }}' }

- name: "Local Development?"
  include_tasks: local.yml
  when: secrets_ex_book_admin_api_env == 'local'

- name: "Docker Development?"
  include_tasks: docker.yml
  when: secrets_ex_book_admin_api_env == 'docker'

- name: "Docker Development?"
  include_tasks: k3s.yml
  when: secrets_ex_book_admin_api_env == 'k3s'

- name: "Docker Development?"
  include_tasks: test.yml
  when: secrets_ex_book_admin_api_env == 'test'

- name: "Docker Development?"
  include_tasks: prod.yml
  when: secrets_ex_book_admin_api_env == 'prod'
